Read a delivery
GET
/orders/{external_order_id}
const url = 'https://api.govza.app/v1/partner/orders/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.govza.app/v1/partner/orders/example \ --header 'Authorization: Bearer <token>'Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Path Parameters
Заголовок раздела «Path Parameters»external_order_id
required
string
Your own identifier for the order.
Responses
Заголовок раздела «Responses»The current state of the delivery.
Media typeapplication/json
object
success
boolean
data
object
external_order_id
string
order_code
The human-readable Govza order code.
string
status
string
price
number
tracking_url
Public tracking page, safe to forward to the recipient.
string
tracking_urls
Individual tracking pages in dropoff order. Null for a single-dropoff order or when unavailable.
Array<string>
status_changes
Array<object>
object
Example
{ "data": { "status": "new" }}The key is missing, malformed, revoked, or its account can no longer create orders.
Media typeapplication/json
object
success
boolean
error
object
id
string
code
string
message
string
details
string
Example
{ "success": false}No order exists for this external_order_id.
Media typeapplication/json
object
success
boolean
error
object
id
string
code
string
message
string
details
string
Example
{ "success": false}